From 548ab2d45a532dc748875b8a1554e86642864297 Mon Sep 17 00:00:00 2001
From: Luca Weiss <luca@z3ntu.xyz>
Date: Sun, 4 Apr 2021 14:53:01 +0200
Subject: [PATCH 2/2] GMock: Use GMock targets from CMake if possible

---
 src/GMock/GMockConfig.cmake | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/src/GMock/GMockConfig.cmake b/src/GMock/GMockConfig.cmake
index 8cd44e8..5211e0b 100644
--- a/src/GMock/GMockConfig.cmake
+++ b/src/GMock/GMockConfig.cmake
@@ -74,6 +74,18 @@ macro(add_gtest_version_defines)
   add_definitions(-DGTEST_VERSION_PATCH=${GTEST_VERSION_PATCH})
 endmacro()
 
+# Try using CMake targets provided by GTest
+find_package (GTest)
+if (GTest_FOUND AND TARGET GTest::gmock)
+    set(GTEST_LIBRARIES GTest::gtest)
+    set(GTEST_MAIN_LIBRARIES GTest::gtest_main)
+    set(GMOCK_LIBRARIES GTest::gmock_main GTest::gmock)
+    set(GTEST_BOTH_LIBRARIES ${GTEST_LIBRARIES} ${GTEST_MAIN_LIBRARIES})
+
+    add_gtest_version_defines()
+    return()
+endif()
+
 find_package(Threads)
 find_package(PkgConfig)
 
-- 
2.32.0

